apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  generateName: run-basic-pipeline-from-git-
  annotations:
    chains.tekton.dev/signed: 'true'
  resourceVersion: '3726892'
  name: run-basic-pipeline-from-git-mp9dk
  uid: cc26e106-6d0d-4052-8720-ea23bdb179c9
  creationTimestamp: '2024-11-06T01:30:38Z'
  generation: 1
  managedFields:
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:tekton.dev/pipeline': {}
      manager: openshift-pipelines-controller
      operation: Update
      time: '2024-11-06T01:30:37Z'
    - apiVersion: tekton.dev/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
        'f:spec':
          .: {}
          'f:params': {}
          'f:pipelineRef':
            .: {}
            'f:params': {}
            'f:resolver': {}
      manager: kubectl-create
      operation: Update
      time: '2024-11-06T01:30:38Z'
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:chains.tekton.dev/signed': {}
          'f:finalizers':
            .: {}
            'v:"chains.tekton.dev/pipelinerun"': {}
      manager: openshift-pipelines-chains-controller
      operation: Update
      time: '2024-11-06T01:30:43Z'
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:childReferences': {}
          'f:completionTime': {}
          'f:conditions': {}
          'f:pipelineSpec':
            .: {}
            'f:params': {}
            'f:tasks': {}
          'f:provenance':
            .: {}
            'f:featureFlags':
              'f:EnableKubernetesSidecar': {}
              'f:SetSecurityContext': {}
              'f:DisableCredsInit': {}
              'f:DisableAffinityAssistant': {}
              'f:EnableKeepPodOnCancel': {}
              'f:VerificationNoMatchPolicy': {}
              'f:DisableInlineSpec': {}
              'f:RunningInEnvWithInjectedSidecars': {}
              'f:EnableCELInWhenExpression': {}
              'f:EnableArtifacts': {}
              'f:EnableConciseResolverSyntax': {}
              .: {}
              'f:MaxResultSize': {}
              'f:AwaitSidecarReadiness': {}
              'f:EnableProvenanceInStatus': {}
              'f:EnableParamEnum': {}
              'f:Coschedule': {}
              'f:ResultExtractionMethod': {}
              'f:EnableStepActions': {}
              'f:EnableAPIFields': {}
              'f:RequireGitSSHSecretKnownHosts': {}
              'f:EnforceNonfalsifiability': {}
              'f:SendCloudEventsForRuns': {}
            'f:refSource':
              .: {}
              'f:digest':
                .: {}
                'f:sha1': {}
              'f:entryPoint': {}
              'f:uri': {}
          'f:startTime': {}
      manager: openshift-pipelines-controller
      operation: Update
      subresource: status
      time: '2024-11-06T01:30:43Z'
  namespace: demo-1
  finalizers:
    - chains.tekton.dev/pipelinerun
  labels:
    tekton.dev/pipeline: a-simple-pipeline
spec:
  params:
    - name: username
      value: World!!
  pipelineRef:
    params:
      - name: url
        value: 'https://github.com/anithapriyanatarajan/sub'
      - name: revision
        value: main
      - name: pathInRepo
        value: pipeline.yaml
    resolver: git
  taskRunTemplate:
    serviceAccountName: pipeline
  timeouts:
    pipeline: 1h0m0s
status:
  childReferences:
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: run-basic-pipeline-from-git-mp9dk-task-1
      pipelineTaskName: task-1
  completionTime: '2024-11-06T01:30:29Z'
  conditions:
    - lastTransitionTime: '2024-11-06T01:30:29Z'
      message: 'Tasks Completed: 1 (Failed: 0, Cancelled 0), Skipped: 0'
      reason: Succeeded
      status: 'True'
      type: Succeeded
  pipelineSpec:
    params:
      - name: username
        type: string
    tasks:
      - name: task-1
        params:
          - name: username
            value: World!!
        taskSpec:
          metadata: {}
          params:
            - name: username
              type: string
          spec: null
          steps:
            - computeResources: {}
              image: 'alpine:3.15'
              name: ''
              script: |
                echo "hello World!!"
        status:
          artifacts: {}
          completionTime: '2024-11-06T01:30:29Z'
          conditions:
            - lastTransitionTime: '2024-11-06T01:30:29Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: run-basic-pipeline-from-git-mp9dk-task-1-pod
          provenance:
            featureFlags:
              EnableConciseResolverSyntax: false
              MaxResultSize: 4096
              AwaitSidecarReadiness: true
              Coschedule: workspaces
              ResultExtractionMethod: termination-message
              EnableParamEnum: false
              SendCloudEventsForRuns: false
              EnforceNonfalsifiability: none
              SetSecurityContext: false
              DisableCredsInit: false
              DisableAffinityAssistant: true
              EnableStepActions: true
              EnableAPIFields: beta
              RequireGitSSHSecretKnownHosts: false
              EnableKubernetesSidecar: false
              RunningInEnvWithInjectedSidecars: true
              EnableKeepPodOnCancel: false
              VerificationNoMatchPolicy: ignore
              EnableProvenanceInStatus: true
              DisableInlineSpec: ''
              EnableArtifacts: false
              EnableCELInWhenExpression: false
          startTime: '2024-11-06T01:30:37Z'
          steps:
            - container: step-unnamed-0
              imageID: 'docker.io/library/alpine@sha256:19b4bcc4f60e99dd5ebdca0cbce22c503bbcff197549d7e19dab4f22254dc864'
              name: unnamed-0
              terminated:
                containerID: 'cri-o://3d9820a28aa4d08cd5e8fec3b0f34913710f49f939866fab6f7ddc9b1ec35677'
                exitCode: 0
                finishedAt: '2024-11-06T01:30:28Z'
                reason: Completed
                startedAt: '2024-11-06T01:30:28Z'
              terminationReason: Completed
          taskSpec:
            params:
              - name: username
                type: string
            steps:
              - computeResources: {}
                image: 'alpine:3.15'
                name: ''
                script: |
                  echo "hello World!!"
          duration: ''
          reason: Succeeded
  provenance:
    featureFlags:
      EnableConciseResolverSyntax: false
      MaxResultSize: 4096
      AwaitSidecarReadiness: true
      Coschedule: workspaces
      ResultExtractionMethod: termination-message
      EnableParamEnum: false
      SendCloudEventsForRuns: false
      EnforceNonfalsifiability: none
      SetSecurityContext: false
      DisableCredsInit: false
      DisableAffinityAssistant: true
      EnableStepActions: true
      EnableAPIFields: beta
      RequireGitSSHSecretKnownHosts: false
      EnableKubernetesSidecar: false
      RunningInEnvWithInjectedSidecars: true
      EnableKeepPodOnCancel: false
      VerificationNoMatchPolicy: ignore
      EnableProvenanceInStatus: true
      DisableInlineSpec: ''
      EnableArtifacts: false
      EnableCELInWhenExpression: false
    refSource:
      digest:
        sha1: 48d04100a5d8d70e7e84689faa63ec20699b52e9
      entryPoint: pipeline.yaml
      uri: 'git+https://github.com/anithapriyanatarajan/sub'
  startTime: '2024-11-06T01:30:37Z'
